<?php
include_once("utiles.php");

date_default_timezone_set("America/Panama");
error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING);

if (!$connection = connectDb()) {
	die("err db");
} else {
	$connection->query("SET NAMES 'utf8';");
}
header('content-type: application/json');

session_start();
$_SESSION['database'] = $_POST['database'];
$_SESSION['c_id'] = $_POST['c_id'];
$_SESSION['c_descripcion'] = $_POST['c_descripcion'];
$_SESSION["c_direccion"] = $_POST['c_direccion'];
$_SESSION['c_idfiscal'] = $_POST['c_idfiscal'];
$_SESSION['pa_id'] = $_POST['pa_id'];
$_SESSION['ciu_id'] = $_POST['ciu_id'];
$_SESSION['c_contacto'] = $_POST['c_contacto'];
$_SESSION['c_telefono'] = $_POST['c_telefono'];
$_SESSION['c_credito'] = $_POST['c_credito'];
$_SESSION['c_dias_credito'] = $_POST['c_dias_credito'];
$_SESSION['c_limite_credito'] = $_POST['c_limite_credito'];
$_SESSION['c_vendedor'] = $_POST['c_vendedor'];
$_SESSION['id_contribuyente'] = $_POST['id_contribuyente'];
$_SESSION['c_correo'] = $_POST['c_correo'];
$_SESSION['c_exclusiv_cont'] = $_POST['c_exclusiv_cont'];
$_SESSION['c_apart'] = $_POST['c_apart'];
$_SESSION['c_club'] = $_POST['c_club'];
$_SESSION['c_activo'] = $_POST['c_activo'];
$_SESSION['suc_id'] = $_POST['suc_id'];
$_SESSION['c_ref2'] = $_POST['c_ref2'];
$_SESSION['c_ref3'] = $_POST['c_ref3'];
$_SESSION['c_precio'] = $_POST['c_precio'];
$_SESSION['c_credito'] = $_POST['c_credito'];
$_SESSION['c_desc'] = $_POST['c_desc'];
$_SESSION['usuario_id'] = $_POST['usuario_id'];
$_SESSION['c_acumpuntos'] = $_POST['c_acumpuntos'];
$_SESSION['cliente_pre_pago'] = $_POST['cliente_pre_pago'];

if (!empty($_POST['c_dv']))
	$_SESSION['c_dv'] = $_POST['c_dv'];
else
    $_SESSION['c_dv'] = '';

if (!empty($_POST['cod_subsidiaria']))
	$_SESSION['cod_subsidiaria'] = $_POST['cod_subsidiaria'];
else
    $_SESSION['cod_subsidiaria'] = '';

if (!empty($_POST['c_tipo_persona']))
	$_SESSION['c_tipo_persona'] = $_POST['c_tipo_persona'];
else
    $_SESSION['c_tipo_persona'] = '0';

if (!empty($_POST['c_recarg_mora']))
	$_SESSION['c_recarg_mora'] = $_POST['c_recarg_mora'];
else
    $_SESSION['c_recarg_mora'] = '0';	

if (!empty($_POST['tipo_calculo']))
	$_SESSION['tipo_calculo'] = $_POST['tipo_calculo'];
else
    $_SESSION['tipo_calculo'] = '0';

	if (!empty($_POST['c_tipo_documento']))
	$_SESSION['c_tipo_documento'] = $_POST['c_tipo_documento'];
else
    $_SESSION['c_tipo_documento'] = 'C';

$hoynow = getdate();
$timeStamp = $hoynow["year"] . "-" . $hoynow["mon"] . "-" . $hoynow["mday"];

$Cte_Nomb2 = $_SESSION['c_descripcion'];
$Cte_Dire2 = $_SESSION["c_direccion"];

$Cte_Nomb2 = String_Decode_ws_acents($Cte_Nomb2);
$Cte_Dire2 = String_Decode_ws_acents($Cte_Dire2);

$SQL_Update =
	"UPDATE " . $_SESSION['database'] . ".clientes SET 
	c_descripcion	=" . $Cte_Nomb2  . ",
	c_direccion		=" . $Cte_Dire2  . ",
	c_idfiscal		=" . $_SESSION['c_idfiscal']  . ",
	pa_id			=" . $_SESSION['pa_id'] . ",
	ciu_id			=" . $_SESSION['ciu_id'] . ",
	c_contacto		=" . $_SESSION['c_contacto']  . ",
	c_telefono		=" . $_SESSION['c_telefono']  . ",
	c_credito		=" . $_SESSION['c_credito']  . ",
	c_dias_credito	=" . $_SESSION['c_dias_credito']  . ",
	c_limite_credito=" . $_SESSION['c_limite_credito']  . ",
	c_vendedor		=" . $_SESSION['c_vendedor'] . ",
	id_contribuyente=" . $_SESSION['id_contribuyente'] . ",
	c_correo		=" . $_SESSION['c_correo']  . ",
	c_exclusiv_cont	=" . $_SESSION['c_exclusiv_cont']  . ",
	c_apart			=" . $_SESSION['c_apart']  . ",
	c_club			=" . $_SESSION['c_club']  . ",
	c_activo		=" . $_SESSION['c_activo']  . ",
	suc_id			=" . $_SESSION['suc_id'] . ",
	c_ref2			=" . $_SESSION['c_ref2']  . ",
	c_ref3			=" . $_SESSION['c_ref3']  . ",
    c_u_id_mod		=" . $_SESSION['usuario_id'] . ",
    c_modificacion	='" . $timeStamp . "',
    usermodify      = 1,
    useroption      = 2, 
	c_acumpuntos	=" . $_SESSION['c_acumpuntos']  . ",
	cliente_pre_pago=" . $_SESSION['cliente_pre_pago']  . ",
	c_dv			=" . $_SESSION['c_dv'] . ",
	c_tipo_documento=" . $_SESSION['c_tipo_documento'] . ",
	cod_subsidiaria	=" . $_SESSION['cod_subsidiaria'] . ",
	c_tipo_persona	=" . $_SESSION['c_tipo_persona'] . ",
	c_recarg_mora	=" . $_SESSION['c_recarg_mora'] . ",
	tipo_calculo	=" . $_SESSION['c_recarg_mora'] . "
	WHERE (c_id=" . $_SESSION['c_id'] . ");";

#echo "sql: ".$SQL_Update;

if ($connection->query($SQL_Update) == TRUE) {
	$msg = array("success" => "true", "detalle" => "OK");
} else {
	$msg = array("success" => "false", "detalle" => $conn);
	echo "Error: " . $SQL_Update . "<br>" . $conn->error;
}

print_r(json_encode($msg));

@mysqli_close($connection);

function String_Encode_ws_acents($pValue)
{
	$search  = array('á', 'é', 'í', 'ó', 'ú', 'Á', 'É', 'Í', 'Ó', 'Ú', 'ñ', 'Ñ');
	$replace = array('~01', '~02', '~03', '~04', '~05', '~06', '~07', '~08', '~09', '~10', '~11', '~12');
	return str_replace($search, $replace, $pValue);
}

function String_Decode_ws_acents($pValue)
{
	$replace = array('á', 'é', 'í', 'ó', 'ú', 'Á', 'É', 'Í', 'Ó', 'Ú', 'ñ', 'Ñ');
	$search = array('~01', '~02', '~03', '~04', '~05', '~06', '~07', '~08', '~09', '~10', '~11', '~12');
	return str_replace($search, $replace, $pValue);
}
?>